<?- include('./../../partials/header') -?>

  
    <div class="page">
        <div class="page-main">
           
            <?- include('./../../partials/nav') -?>
            <div class="app-content page-body">
                <div class="container">

                    <!--Page header-->
                    <div class="page-header">
                        <div class="page-leftheader">
                            <h4 class="page-title">ระบบบริหารจัดการคลัง</h4>
                            <ol class="breadcrumb pl-0">
                                <li class="breadcrumb-item"><a href="#">หน้าหลัก</a></li>
                                <li class="breadcrumb-item active" aria-current="page">รายงาน</li>
                            </ol>
                        </div>
                    </div>
                    <!--End Page header-->
                    <div class="row">
                        <div class="col-lg-12 col-md-12">
                            <div class="card">
                                <div class="card-header">
                                    <h3 class="card-title">ยอดขาย</h3>
                                    <div class="card-options ">
                                        <a href="#" class="card-options-collapse" data-toggle="card-collapse"><i class="fe fe-chevron-up"></i></a>
                                        <a href="#" class="card-options-remove" data-toggle="card-remove"><i class="fe fe-x"></i></a>
                                    </div>
                                </div>
                                <div class="card-body">
                                    <div id="chart-pie" class="chartsh" style="height: 400px;"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- Row -->
						<div class="row">
							<div class="col-lg-12 col-md-12">
								<div class="card">
									<div class="card-header">
										<h3 class="card-title">ภาพรวมบัญชี</h3>
										<div class="card-options ">
											<a href="#" class="card-options-collapse" data-toggle="card-collapse"><i class="fe fe-chevron-up"></i></a>
											<a href="#" class="card-options-remove" data-toggle="card-remove"><i class="fe fe-x"></i></a>
										</div>
									</div>
									<div class="card-body">
										<div id="echart1" class="chartsh "></div>
									</div>
								</div>
                            </div>
							<div class="col-lg-12 col-md-12">
								<div class="card">
									<div class="card-header">
										<h3 class="card-title">ยอดขายรายเดือน</h3>
										<div class="card-options ">
											<a href="#" class="card-options-collapse" data-toggle="card-collapse"><i class="fe fe-chevron-up"></i></a>
											<a href="#" class="card-options-remove" data-toggle="card-remove"><i class="fe fe-x"></i></a>
										</div>
									</div>
									<div class="card-body">
										<div id="echart2" class="chartsh "></div>
									</div>
                                </div>
 
                            </div>
						</div>
                        <!-- End Row -->
                    </div>
            </div><!-- end app-content-->
        </div>
		<!--Dygraph Charts js -->
        <?- include('./../../partials/footer') -?>

        		<!-- c3.js Charts js-->
		<script src="/assets/plugins/charts-c3/d3.v5.min.js"></script>
		<script src="/assets/plugins/charts-c3/c3-chart.js"></script>
        <script>
        var date = new Date();
        var month = date.getMonth();
        date.setDate(1);
        var all_days = [];        
        while (date.getMonth() == month) {
            var d =  date.getDate().toString().padStart(2, '0');
            all_days.push(d);
            date.setDate(date.getDate() + 1);
        }

        
    //console.log(all_days);
            $(function(e){
            'use strict'
            
            var chartdata = [
                {
                name: 'รายได้',
                type: 'bar',
                data: [<?=data?>]
                }
            ];

            var chart = document.getElementById('echart1');
            var barChart = echarts.init(chart);

            var option = {
                grid: {
                top: '6',
                right: '0',
                bottom: '17',
                left: '25',
                },
                xAxis: {
                data: all_days,
                axisLine: {
                    lineStyle: {
                    color: 'rgba(67, 87, 133, .09)'
                    }
                },
                axisLabel: {
                    fontSize: 10,
                    color: '#8e9cad'
                }
                },
                tooltip: {
                    show: true,
                    showContent: true,
                    alwaysShowContent: true,
                    triggerOn: 'mousemove',
                    trigger: 'axis',
                    axisPointer:
                    {
                        label: {
                            show: false,
                        }
                    }

                },
                yAxis: {
                splitLine: {
                    lineStyle: {
                    color: 'rgba(67, 87, 133, .09)'
                    }
                },
                axisLine: {
                    lineStyle: {
                    color: 'rgba(67, 87, 133, .09)'
                    }
                },
                axisLabel: {
                    fontSize: 10,
                    color: '#8e9cad'
                }
                },
                series: chartdata,
                color:[ '#2d66f7','#f72d66', '#cedbfd',]
            };

            barChart.setOption(option);
        }); 
        $(function(e){
            'use strict'
            var chartdata = [
                {
                name: 'ยอดขาย',
                type: 'bar',
                data: [64540, 84215, 94445, 84545, 44450, 78105, 45410, 62415, 70999, 65518, 80710, 44545, 54510, 95455, 50459, 88787, 98770, 67715, 67610, 68415, 34549, 62418, 46810, 45715, 79910, 77715, 44449, 65778, 57510, 75715]
                }
            ];        
        var echart2 = document.getElementById('echart2');
            var barChart2 = echarts.init(echart2);

            var option2 = {
                grid: {
                top: '6',
                right: '0',
                bottom: '17',
                left: '45',
                },
                xAxis: {
                    data: ["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"],
                axisLine: {
                    lineStyle: {
                    color: 'rgba(67, 87, 133, .09)'
                    }
                },
                axisLabel: {
                    fontSize: 10,
                    color: '#8e9cad'
                }
                },
                tooltip: {
                    show: true,
                    showContent: true,
                    alwaysShowContent: true,
                    triggerOn: 'mousemove',
                    trigger: 'axis',
                    axisPointer:
                    {
                        label: {
                            show: false,
                        }
                    }

                },
                yAxis: {
                splitLine: {
                    lineStyle: {
                    color: 'rgba(67, 87, 133, .09)'
                    }
                },
                axisLine: {
                    lineStyle: {
                    color: 'rgba(67, 87, 133, .09)'
                    }
                },
                axisLabel: {
                    fontSize: 10,
                    color: '#8e9cad'
                }
                },
                series: chartdata,
                color:[ '#FF69B42']
            };

            barChart2.setOption(option2);
        }); 
        (function($) {
    "use strict";	
	/*chart-pie*/
	var chart = c3.generate({
		bindto: '#chart-pie', // id of chart wrapper
		data: {
			columns: [
				// each columns data
				['data1', 258421],
				['data2', 825244],
				['data3', 540200]
			],
			type: 'pie', // default type of chart
			colors: {
				'data1': '#2d66f7',
				'data2': '#f72d66',
				'data3': '#f7be2d'
			},
			names: {
				// name of each serie
				'data1': 'ต้นทุนขาย',
				'data2': 'ยอดขาย',
				'data3': 'กำไรคงเหลือ'
			}
		},
		axis: {
		},
		legend: {
			  show: false, //hide legend
		},
		padding: {
			bottom: 0,
			top: 0
		},
	});

  /*chart-donut*/
	var chart = c3.generate({
		bindto: '#chart-donut', // id of chart wrapper
		data: {
			columns: [
					// each columns data
					['data1', 58],
					['data2', 65],
					['data3', 35],
				],
				type: 'donut', // default type of chart
				colors: {
					data1: '#2d66f7',
					data2: '#f72d66',
					data3: '#f7be2d',
				},
				names: {
					// name of each serie
					'data1': 'sales1',
					'data2': 'sales2',
					'data3': 'sales3'
				}
		},
		axis: {
		},
		legend: {
			  show: false, //hide legend
		},
		padding: {
			bottom: 0,
			top: 0
		},
	});
	})(jQuery);        
        </script>
    </div>

